# Uses of Interface
org.springframework.aot.generate.MethodReference

Packages that use MethodReference
Package
Description
org.springframework.aot.generate
Support classes for components that contribute generated code equivalent to a runtime behavior.

## Uses of MethodReference in org.springframework.aot.generate

Classes in org.springframework.aot.generate that implement MethodReference
Modifier and Type
Class
Description
`class`
`DefaultMethodReference`
Default `MethodReference` implementation based on a `MethodSpec`.
Methods in org.springframework.aot.generate that return MethodReference
Modifier and Type
Method
Description
`MethodReference`
GeneratedMethod.`toMethodReference()`
Return a `MethodReference` to this generated method.